/*     Utilidade para ver pantallas de Spectrum e convertilas de/a GIF     */
/*                  Programada por Alberto Garcia Gonzalez                 */
/*                   Cabeceira para GCC 2.7.2.1 DJGPP 2.1                  */

/* ULTIMA REVISION: 4-3-99 0:14 */

#include <io.h>
#include <dos.h>
#include <conio.h>
#include <pc.h>
#include <string.h>
#include <sys/farptr.h>
#include <go32.h>

#define bpmemcpy memcpy
#define bpfread fread
#define bpfwrite fwrite

#define PLATAFORMA "DOS/32"

/***************************************************************************/

void zxsee_init(void){}

/***************************************************************************/

void modo13h(void)
{
 union REGS r;
 r.x.ax = 0x13;
 int86(0x10, &r, &r);
}

/***************************************************************************/

void modotexto(void)
{
 union REGS r;
 r.h.ah = 0x0f;
 int86(0x10, &r, &r);
 if (r.h.al != 3) {
    r.x.ax = 3;
    int86(0x10, &r, &r);
 }
}

/***************************************************************************/

void putcolor (byte color, byte r, byte g, byte b)
{
 outportb(0x3C8,color);
 outportb(0x3C9,r);
 outportb(0x3C9,g);
 outportb(0x3C9,b);
}

/***************************************************************************/

void vaciar(bytepunt buffer)
{
 memset(buffer,0,64000);
}

/***************************************************************************/

void volcar(bytepunt buffer)
{
 int x,y;
 unsigned long *punt=(unsigned long *) buffer;
 _farsetsel(_dos_ds);
 for (y=0;y<200;y++)
     for (x=0;x<320;x+=4)
        _farnspokel(0x0a0000+x+320*y,*punt++);
}

/***************************************************************************/

void espera_vret(void)
{
 while (inportb(0x03DA)&8);
 while (!(inportb(0x03DA)&8));
}

/***************************************************************************/

int teclapulsada(void)
{
 return kbhit();
}

/***************************************************************************/

int leetecla(void)
{
 return getch();
}

/***************************************************************************/

void mostrar_pantalla(bytepunt buf1,bytepunt buf2)
{
 int i;
 while (1) {
       volcar(buf1);
       for (i=0;i<10;i++) {
             if (teclapulsada()) return;
             delay(50);
       }
       volcar(buf2);
       for (i=0;i<10;i++) {
             if (teclapulsada()) return;
             delay(50);
       }
 }
}

/***************************************************************************/
