/*     Utilidade para ver pantallas de Spectrum e convertilas de/a GIF     */
/*          Programada por Alberto Garcia Gonzalez - 24/03/98              */
/*                              Mensaxes                                   */

/* ULTIMA REVISION: 3-3-99 23:36 */

#if defined(GALEGO)
char err_lectura[] = "Erro lendo do ficheiro %s";
char err_apertura[] = "Erro abrindo o ficheiro %s";
char err_crear[] = "Erro creando o ficheiro %s";
char err_datos[] = "Erro lendo datos do ficheiro";
char err_interno[] = "Erro interno";
char param_largo[] = "Parametros demasiado longos";
char fich_existe[] = "Xa existe o fichero %s";
char imxs_iguales[] = "Non se pode convertir unha imaxe a otra do mesmo tipo";
char dest_invalido[] = "O formato de destino non pode ser ese";
char non_hai_mem[] = "Non hai memoria suficiente";
char non_e_GIF[] = "O ficheiro non e de tipo GIF";
char non_e_PCX[] = "O ficheiro non e de tipo PCX";
char tap_vacio[] = "O TAP non ten ningunha pantalla";
char non_soport[] = "A imaxe ten caracteristicas non soportadas polo programa";
char tam_img_inc[] = "A imaxe non e 256x192 8bpp ou menor";
char creditos[] =
        "Visor de pantallas de Spectrum ZXSEE v%s\n"
        "Por Alberto Garcia Gonzalez\n\n"
        "SINTAXIS: zxsee <parametros> <orixe> <destino>\n\n"
        "Parametros validos:\n"
        "\t\t   -b  -> Ve-la pantalla en branco e negro\n"
        "\t\t   -i  -> Ve-la pantalla en modo inverso";
#elif defined(CASTELLANO)
char err_lectura[] = "Error leyendo del fichero %s";
char err_apertura[] = "Error abriendo el fichero %s";
char err_crear[] = "Error creando el fichero %s";
char err_datos[] = "Error leyendo datos del fichero";
char err_interno[] = "Error interno";
char param_largo[] = "Parametros demasiado largos";
char fich_existe[] = "Ya existe el fichero %s";
char imxs_iguales[] = "No se puede convertir una imagen a otra del mismo tipo";
char dest_invalido[] = "El formato de destino no puede ser ese";
char non_hai_mem[] = "No hay memoria suficiente";
char non_e_GIF[] = "El fichero no es de tipo GIF";
char non_e_PCX[] = "El fichero no es de tipo PCX";
char tap_vacio[] = "EL TAP no tiene ninguna pantalla";
char non_soport[] = "La imagen tiene caracteristicas no soportadas por el programa";
char tam_img_inc[] = "La imagen no es 256x192 8bpp o menor";
char creditos[] =
        "Visor de pantallas de Spectrum ZXSEE v%s\n"
        "Por Alberto Garcia Gonzalez\n\n"
        "SINTAXIS: zxsee <parametros> <origen> <destino>\n\n"
        "Parametros validos:\n"
        "\t\t   -b  -> Ver la pantalla en blanco y negro\n"
        "\t\t   -i  -> Ver la pantalla en modo inverso";
#elif defined(ENGLISH)
char err_lectura[] = "Error reading from file %s";
char err_apertura[] = "Error opening file %s";
char err_crear[] = "Error creating file %s";
char err_datos[] = "Error reading data from file";
char err_interno[] = "Internal error";
char param_largo[] = "Command-line arguments are too big";
char fich_existe[] = "File %s already exists";
char imxs_iguales[] = "Can't convert an image to another of the same type";
char dest_invalido[] = "Target file format can't be that";
char non_hai_mem[] = "Not enough memory";
char non_e_GIF[] = "File is not a GIF";
char non_e_PCX[] = "File is not a PCX";
char tap_vacio[] = "TAP does not have any screen";
char non_soport[] = "Image has features which aren't supported yet by the program";
char tam_img_inc[] = "Image isn't 256x192 8bpp or less";
char creditos[] =
        "ZXSEE - Spectrum screen viewer v%s\n"
        "By Alberto Garcia Gonzalez\n\n"
        "SYNTAX: zxsee <arguments> <source> <target>\n\n"
        "Valid arguments:\n"
        "\t\t   -b  -> Turn black and white mode on\n"
        "\t\t   -i  -> Turn inverse mode on";
#else
   #error FALTA ELEXIR IDIOMA
#endif
